For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
            • GETList Price Lists
            • POSTCreate Price List
            • DELDelete All Price Lists
            • GETGet Price List
            • PUTUpdate Price List
            • DELDelete Price List
              • POSTCreate Batch of Price Lists Records
              • PUTCreate or Update Batch of Price Lists Records
              • GETList Price List Records
              • POSTCreate Price List Records
              • PUTUpsert Price List Records
              • DELDelete Price List Record
              • GETList Price Records by Variant
              • GETGet Price Record by Currency Code
              • PUTSet Price List Record by Currency Code
              • DELDelete Price Record by Currency Code
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementPrice ListsPrice Lists Records

Delete Price Record by Currency Code

DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/pricelists/:price_list_id/records/:variant_id/:currency_code
DELETE
/stores/:store_hash/v3/pricelists/:price_list_id/records/:variant_id/:currency_code
$curl -X DELETE https://api.bigcommerce.com/stores/store_hash/v3/pricelists/1/records/1/currency_code \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
Deletes a *Price List Record* using the currency code. **Note:** * Supports up to 25 simultaneous DELETE requests. Running more than the allowed number of requests concurrently on the same store will result in a `429` status error, and your additional requests will fail.
Was this page helpful?
Previous

Set Price List Record by Currency Code

Next

Promotions API

Built with

Deletes a Price List Record using the currency code. Note:

  • Supports up to 25 simultaneous DELETE requests. Running more than the allowed number of requests concurrently on the same store will result in a 429 status error, and your additional requests will fail.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

price_list_idintegerRequired

The ID of the Price List requested.

variant_idintegerRequired
ID of the variant on a product, or on an associated Price List Record.
currency_codestringRequiredformat: "ISO-4217"
The currency code associated with the price record being acted upon.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Response

Errors

503
Service Unavailable Error

The MIME type of the response body.